Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1064880 - RHEV-M fails to detect 'AMD Opteron G5' as CPU_Type for hypervisors.
Summary: RHEV-M fails to detect 'AMD Opteron G5' as CPU_Type for hypervisors.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.3.0
Hardware: x86_64
OS: Linux
high
high
Target Milestone: ---
: 3.4.0
Assignee: Arik
QA Contact: meital avital
URL:
Whiteboard: virt
Depends On:
Blocks: 1071793 rhev3.4beta 1142926
TreeView+ depends on / blocked
 
Reported: 2014-02-13 13:18 UTC by Prasad Mukhedkar
Modified: 2018-12-05 17:20 UTC (History)
15 users (show)

Fixed In Version: av3
Doc Type: Bug Fix
Doc Text:
Previously, servers with AMD Opterom G5 processors were wrongly being recognized as AMD Operton G4 on the "View CPU Details" page in Red Hat Enterprise Virtualization Manager. Now, the CPU flags in the Manager have been altered to detect processor model AMD Opterom G5. As a result, the Manger correctly detects when a host has and AMD Opterom G5 processor.
Clone Of:
: 1071793 (view as bug list)
Environment:
Last Closed: 2014-06-09 15:04:09 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)
CPU detected as G5 (deleted)
2014-03-04 08:29 UTC, Prasad Mukhedkar
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0506 normal SHIPPED_LIVE Moderate: Red Hat Enterprise Virtualization Manager 3.4.0 update 2014-06-09 18:55:38 UTC
oVirt gerrit 24837 None None None Never
oVirt gerrit 24961 None None None Never
oVirt gerrit 24965 None None None Never

Comment 1 Itamar Heim 2014-02-14 16:35:07 UTC
_G2; 4:AMD Opteron G3:svm,nx,model_Opteron_G3:Opteron_G3; 5:AMD Opteron G4:svm,nx,model_Opteron_G4:Opteron_G4; 6:AMD Opteron G5:smx,nx,model_Opteron_G5:Opteron_G5;','3.2');
_G2; 4:AMD Opteron G3:svm,nx,model_Opteron_G3:Opteron_G3; 5:AMD Opteron G4:svm,nx,model_Opteron_G4:Opteron_G4; 6:AMD Opteron G5:smx,nx,model_Opteron_G5:Opteron_G5;','3.3');

G3:Opteron_G3; 5:AMD Opteron G4:svm,nx,model_Opteron_G4:Opteron_G4;','3.1');
ron_G2; 4:AMD Opteron G3:svm,nx,model_Opteron_G3:Opteron_G3; 5:AMD Opteron G4:svm,nx,model_Opteron_G4:Opteron_G4; 6:AMD Opteron G5:smx,nx,model_Opteron_G5:Opteron_G5;','3.2');

bug is the G5 model has "smx,nx" should be "svm,nx"

you can easily fix in customer site by updating the customer db by running:
select fn_db_update_config_value('ServerCPUList',...)
where ... is the full line from packaging/dbscripts/upgrade/pre_upgrade/0000_config.sql changed from smx to svm.
for both 3.2 and 3.3 (notice in 3.3 the file only has add_config for 3.3, you need to run it as update_config of course).

Comment 2 Michal Skrivanek 2014-02-27 10:37:23 UTC
can we get this tested by customer? it's a simple typo….

Comment 5 Prasad Mukhedkar 2014-02-27 14:58:25 UTC
UPDATE vdc_options SET option_value='3:Intel Conroe Family:vmx,nx,model_Conroe:Conroe; 4:Intel Penryn Family:vmx,nx,model_Penryn:Penryn; 5:Intel Nehalem Family:vmx,nx,model_Nehalem:Nehalem; 6:Intel Westmere Family:aes,vmx,nx,model_Westmere:West
mere; 7:Intel SandyBridge Family:vmx,nx,model_SandyBridge:SandyBridge; 8:Intel Haswell:vmx,nx,model_Haswell:Haswell; 2:AMD Opteron G1:svm,nx,model_Opteron_G1:Opteron_G1; 3:AMD Opteron G2:svm,nx,model_Opteron_
G2:Opteron_G2; 4:AMD Opteron G3:svm,nx,model_Opteron_G3:Opteron_G3; 5:AMD Opteron G4:svm,nx,model_Opteron_G4:Opteron_G4; 6:AMD Opteron G5:svm,nx,model_Opteron_G5:Opteron_G5;' WHERE option_id="258";

Is what I need to fire, correct? Please verify so that I can pass it to customer.

Comment 6 Michal Skrivanek 2014-02-27 17:38:51 UTC
Yeah, if 258 is the entry for the cluster level in question

Comment 12 Prasad Mukhedkar 2014-03-04 08:29:00 UTC
Created attachment 870280 [details]
CPU detected as G5

Comment 14 meital avital 2014-03-18 09:14:52 UTC
customer verified, see comment 11 and attachment in comment 12

Comment 15 errata-xmlrpc 2014-06-09 15:04:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-0506.html


Note You need to log in before you can comment on or make changes to this bug.